PDA

View Full Version : PHP 5.3 with FastCgi on Cherokee server.



rich97
February 25th, 2010, 04:01 PM
The title describes the sort of setup I'm trying to achieve, I'm fairly technically minded but I'm not really an expert on server setups.

I have compiled PHP5.3 from source and installed the cherokee server from the Ubuntu repositories.

Now the big problem I'm facing is that cherokee requires php-fcgi, how would I add this on to my compiled php5.3 install?

rich97
February 26th, 2010, 12:50 AM
Bumpity bump. :popcorn:

CyberJack
February 26th, 2010, 02:27 PM
I don't use php 5.3 yet but I imagine something like this:


Verify that you compiled php with cgi support.
php-cgi -v or php -v
If you see something like "(cgi-fcgi)" it's ok.

Then use the following guide (not installing php again) to finish the installation
http://www.howtoforge.com/installing-cherokee-with-php5-and-mysql-support-on-ubuntu-9.10

Instead of compiling php yourself you can also use the repository from dotdeb. (www.dotdeb.org). It has php5.3.1 and php5.2.12 with all the packages your normal ubuntu install would have (like php5-cgi and php5-cli)